Subject: Re: [PATCH net-next 1/2] mlxsw: spectrum_router: Offload blackhole routes

From: Ido Schimmel <[email-masked]>
Date: Fri, 8 Feb 2019 17:05:07 +0000

On Fri, Feb 08, 2019 at 08:24:49AM -0800, David Ahern wrote:
> On 2/7/19 11:34 PM, Ido Schimmel wrote:
> > I assume that user can't put blackhole and normal nexthops in the same
> > group?
> > 
> 
> I allow a nexthop group to reference a nexthop that is a blackhole, but
> the group can only contain the one entry. That allows multipath routes
> to toggle between a blackhole and a real spec.

Good, thanks. I was afraid users will be able to configure a nexthop
group that will randomly drop flows :)